pcl::visualization::CloudActor Class Reference

`#include <pcl/visualization/common/actor_map.h>`

## Public Member Functions

| CloudActor ()
virtual | ~CloudActor ()

## Public Attributes

vtkSmartPointer< vtkLODActor > | actor
| The actor holding the data to render. More...
std::vector< GeometryHandlerConstPtr > | geometry_handlers
| A vector of geometry handlers that can be used for rendering the data. More...
std::vector< ColorHandlerConstPtr > | color_handlers
| A vector of color handlers that can be used for rendering the data. More...
int | color_handler_index_
| The active color handler. More...
int | geometry_handler_index_
| The active geometry handler. More...
vtkSmartPointer< vtkMatrix4x4 > | viewpoint_transformation_
| The viewpoint transformation matrix. More...
vtkSmartPointer< vtkIdTypeArray > | cells
| Internal cell array. More...

## Detailed Description

Definition at line 58 of file actor_map.h.

## Constructor & Destructor Documentation

## CloudActor()

pcl::visualization::CloudActor::CloudActor | ( |  | ) |

inline

Definition at line 69 of file actor_map.h.

## ~CloudActor()

virtual pcl::visualization::CloudActor::~CloudActor | ( |  | ) |

inline virtual

Definition at line 71 of file actor_map.h.

## Member Data Documentation

## actor

vtkSmartPointer<vtkLODActor> pcl::visualization::CloudActor::actor

The actor holding the data to render.

Definition at line 78 of file actor_map.h.

Referenced by pcl::visualization::PCLVisualizer::addPointCloudPrincipalCurvatures(), and pcl::visualization::PCLVisualizer::updateCorrespondences().

## cells

vtkSmartPointer<vtkIdTypeArray> pcl::visualization::CloudActor::cells

Internal cell array.

Used for optimizing updatePointCloud.

Definition at line 96 of file actor_map.h.

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences().

## color_handler_index_

int pcl::visualization::CloudActor::color_handler_index_

The active color handler.

Definition at line 87 of file actor_map.h.

## color_handlers

std::vector<ColorHandlerConstPtr> pcl::visualization::CloudActor::color_handlers

A vector of color handlers that can be used for rendering the data.

Definition at line 84 of file actor_map.h.

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences().

## geometry_handler_index_

int pcl::visualization::CloudActor::geometry_handler_index_

The active geometry handler.

Definition at line 90 of file actor_map.h.

## geometry_handlers

std::vector<GeometryHandlerConstPtr> pcl::visualization::CloudActor::geometry_handlers

A vector of geometry handlers that can be used for rendering the data.

Definition at line 81 of file actor_map.h.

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences().

## viewpoint_transformation_

vtkSmartPointer<vtkMatrix4x4> pcl::visualization::CloudActor::viewpoint_transformation_

The viewpoint transformation matrix.

Definition at line 93 of file actor_map.h.

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/common/actor_map.h